> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modelslab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Trained Models List

> This endpoint returns an array with the IDs of the models that you have created.

## Request

Send a `POST` request to below endpoint to obtain a list with model IDs.

```curl curl theme={null}
--request POST 'https://modelslab.com/api/v3/finetune_list' \
```

## Body

```json json theme={null}
{ 
    "key": "your_api_key"
}
```


## OpenAPI

````yaml POST /finetune_list
openapi: 3.0.3
info:
  title: ModelsLab API
  description: >-
    API endpoints for managing and browsing Stable Diffusion models - includes
    public model discovery, custom model uploads, and trained model management.
  version: 4.0.0
  contact:
    name: ModelsLab Support
    url: https://modelslab.com
servers:
  - url: https://modelslab.com/api/v3
    description: V3 API Endpoints
  - url: https://modelslab.com/api/v4
    description: V4 API Endpoints
security: []
tags:
  - name: Public Models
    description: Browse and discover publicly available pre-trained models
  - name: Model Management
    description: Upload custom models and manage your trained model collection
paths:
  /finetune_list:
    post:
      tags:
        - Model Management
      summary: Get Trained Models List
      description: >-
        Returns a list with all the models that you have created. This endpoint
        returns an array with the IDs of the models.
      operationId: getTrainedModelList
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApiKeyRequest'
      responses:
        '200':
          description: Successful response with list of trained models
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TrainedModelListResponse'
        '401':
          $ref: '#/components/responses/Unauthorized'
      servers:
        - url: https://modelslab.com/api/v3
components:
  schemas:
    ApiKeyRequest:
      type: object
      required:
        - key
      properties:
        key:
          type: string
          description: Your API Key used for request authorization
          example: ''
    TrainedModelListResponse:
      type: object
      properties:
        status:
          type: string
          example: success
        messege:
          type: string
          example: model list
        data:
          type: array
          items:
            type: string
          description: Array of trained model IDs
          example: []
    Error:
      type: object
      properties:
        status:
          type: string
          example: error
        message:
          type: string
          description: Error description
        code:
          type: integer
          description: Error code
  responses:
    Unauthorized:
      description: Unauthorized - Invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'

````